Note: There are a few cases of duplicates in user autocompletion which are being worked on.
Last Comment Bug 462826 - memory leaks from tracemonkey merge Mon Oct 27 20:18:42 2008 -0700
: memory leaks from tracemonkey merge Mon Oct 27 20:18:42 2008 -0700
Status: VERIFIED FIXED
: mlk, regression, verified1.9.1
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: All All
-- critical (vote)
: mozilla1.9.1b2
Assigned To: David Anderson [:dvander]
:
: Shu-yu Guo (backlogged)
Mentors:
Depends on: 465218
Blocks: 462937
  Show dependency treegraph
 
Reported: 2008-11-03 01:23 PST by Karl Tomlinson (:karlt)
Modified: 2009-01-14 12:40 PST (History)
8 users (show)
sayrer: blocking1.9.1+
bob: in‑testsuite-
bob: in‑litmus-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix for a memory leak [Checkin: Comment 3 & 11] (783 bytes, patch)
2008-11-03 11:48 PST, David Anderson [:dvander]
gal: review+
Details | Diff | Splinter Review

Comment 1 User image Robert Sayre 2008-11-03 11:38:01 PST
I'm worried that Karl's second link shows heap growth over time.
Comment 2 User image David Anderson [:dvander] 2008-11-03 11:48:53 PST
Created attachment 346091 [details] [diff] [review]
fix for a memory leak
[Checkin: Comment 3 & 11]

Not sure if there's more, this came up from valgrinding.
Comment 3 User image David Anderson [:dvander] 2008-11-03 20:05:20 PST
Pushed fix as changeset: http://hg.mozilla.org/tracemonkey/rev/e24a2e8fc744
Comment 4 User image Karl Tomlinson (:karlt) 2008-11-03 23:06:30 PST
Looks like that's probably the leak, thank you:

http://graphs-stage.mozilla.org/graph.html#type=series&show=430167

(Still a slight increase over time but I suspect that was there before.)
Comment 5 User image Serge Gautherie (:sgautherie) 2008-11-06 06:18:31 PST
(In reply to comment #4)
> Looks like that's probably the leak, thank you:

I don't know what this patch fixed,

> (Still a slight increase over time but I suspect that was there before.)

but major bug 462937 isn't fixed yet...
Comment 6 User image Karl Tomlinson (:karlt) 2008-11-06 10:51:34 PST
Serge, you'll need to use a tracemonkey build or apply the patch yourself to hg-central.

Setting Target Milestone in an attempt to request that this is fixed for Beta2.
Is another tracemonkey merge planned?
Comment 7 User image Andreas Gal :gal 2008-11-06 10:54:29 PST
We are waiting for m-c to go green so we can merge.
Comment 8 User image Serge Gautherie (:sgautherie) 2008-11-06 11:48:49 PST
(In reply to comment #6)
> Serge, you'll need to use a tracemonkey build

Oh ! I hadn't noticed that :-<

> Is another tracemonkey merge planned?

I can't understand this was allowed to stay in the tree for days, without even a warning (either manual or automatic), afaict :-(

(Looking forward for the merge !)
Comment 9 User image David Anderson [:dvander] 2008-11-06 11:59:27 PST
I can't push to m-c -- if the merge doesn't happen soon enough someone can cherry pick the patch.
Comment 10 User image Serge Gautherie (:sgautherie) 2008-11-06 15:51:17 PST
Comment on attachment 346091 [details] [diff] [review]
fix for a memory leak
[Checkin: Comment 3 & 11]

"approval1.9.1b2=?":
per comment 9; fixes (major) "leak"; is already in tracemonkey repo, should be no risk.
Comment 11 User image Serge Gautherie (:sgautherie) 2008-11-08 03:51:52 PST
Comment on attachment 346091 [details] [diff] [review]
fix for a memory leak
[Checkin: Comment 3 & 11]

Merged to trunk as part of
rsayre@mozilla.com  Sat Nov 08 01:06:43 2008 -0800
(http://hg.mozilla.org/mozilla-central/rev/17747605490c)
Comment 12 User image Serge Gautherie (:sgautherie) 2008-11-08 15:40:48 PST
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.1b2pre) Gecko/20081108 Minefield/3.1b2pre] (home, optim default) (W2Ksp4)

V.Fixed, per bug 462937.

Note You need to log in before you can comment on or make changes to this bug.